using MySystem.Models.Main;
using Library;
using MySystem.Service.Main;
using System.Collections.Generic;
namespace MySystem
{
    /// <summary>
    /// 消费记录工具类
    /// </summary>
    public class ConsumerOrdersUtil
    {
        #region 添加消费记录工具类
        /// <summary>
        /// 添加消费记录
        /// </summary>
        /// <param name="MerchantId">商户Id</param>
        /// <param name="ConsumerId">消费者Id</param>
        /// <param name="UserId">创客Id</param>
        /// <param name="PayMode">支付方式</param>
        /// <param name="PayMoney">支付金额</param>
        /// <param name="SnNo">SN号</param>
        /// <param name="OrderNo"></param>
        /// <param name="MaxDivi"></param>
        /// <param name="IsAct"></param>
        /// <param name="MerchantActualAmount"></param>
        /// <param name="SeoDescription"></param>
        /// <param name="SetRecordId"></param>
        /// <returns></returns>
        public static AppResultJson AddConsumerOrders(int MerchantId, int ConsumerId, int UserId, int PayMode, decimal PayMoney, string SnNo, string OrderNo, decimal MaxDivi, uint IsAct, decimal MerchantActualAmount, string SeoDescription, int SetRecordId)
        {
            Dictionary<string, object> Fields = new Dictionary<string, object>();
            Fields.Add("MerchantId", MerchantId);
            Fields.Add("ConsumerId", ConsumerId);
            Fields.Add("UserId", UserId);
            Fields.Add("PayMode", PayMode);
            Fields.Add("PayMoney", PayMoney);
            Fields.Add("SnNo", SnNo);
            Fields.Add("OrderNo", OrderNo);
            Fields.Add("MaxDivi", MaxDivi);
            Fields.Add("IsAct", IsAct);
            Fields.Add("MerchantActualAmount", MerchantActualAmount);
            Fields.Add("SeoDescription", SeoDescription);
            Fields.Add("SetRecordId", SetRecordId);
            var info = ConsumerOrdersService.Add(Fields);
            return info;
        }
        #endregion

    }
}